import { getAll } from './get-all';
import { getOne } from './get-one';
import { deleteOne } from './delete-one';
import { postOne } from './post-one';
import { patchOne } from './patch-one';
import { getRelationship } from './get-relationship';
import { deleteRelationship } from './delete-relationship';
import { postRelationship } from './post-relationship';
import { patchRelationship } from './patch-relationship';
export declare const swaggerMethod: {
    getAll: typeof getAll;
    getOne: typeof getOne;
    deleteOne: typeof deleteOne;
    postOne: typeof postOne;
    patchOne: typeof patchOne;
    getRelationship: typeof getRelationship;
    deleteRelationship: typeof deleteRelationship;
    postRelationship: typeof postRelationship;
    patchRelationship: typeof patchRelationship;
};
export declare const errorSchema: {
    type: string;
    properties: {
        status: {
            type: string;
        };
        errors: {
            type: string;
            items: {
                type: string;
                properties: {
                    detail: {
                        type: string;
                    };
                    source: {
                        type: string;
                        properties: {
                            parameter: {
                                type: string;
                            };
                        };
                    };
                };
                required: string[];
            };
        };
    };
};
