"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getProviderName = exports.upperFirstLetter = exports.camelToKebab = exports.snakeToCamel = exports.isString = exports.getEntityName = exports.nameIt = void 0;
const nameIt = (name, cls) => ({
    [name]: class extends cls {
        constructor(...arg) {
            super(...arg);
        }
    },
}[name]);
exports.nameIt = nameIt;
const getEntityName = (entity) => {
    if (typeof entity === 'string') {
        return entity;
    }
    if ('name' in entity) {
        return entity['name'];
    }
    if ('constructor' in entity && 'name' in entity.constructor) {
        return entity['constructor']['name'];
    }
};
exports.getEntityName = getEntityName;
function isString(value) {
    return typeof value === 'string' || value instanceof String;
}
exports.isString = isString;
function snakeToCamel(str) {
    return str
        .toLowerCase()
        .replace(/([-_][a-z])/g, (group) => group.toUpperCase().replace('-', '').replace('_', ''));
}
exports.snakeToCamel = snakeToCamel;
function camelToKebab(str) {
    return str
        .replace(/((?<=[a-z\d])[A-Z]|(?<=[A-Z\d])[A-Z](?=[a-z]))/g, '-$1')
        .toLowerCase();
}
exports.camelToKebab = camelToKebab;
function upperFirstLetter(string) {
    return string.charAt(0).toUpperCase() + string.slice(1);
}
exports.upperFirstLetter = upperFirstLetter;
function getProviderName(entity, name) {
    const entityName = (0, exports.getEntityName)(entity);
    return `${upperFirstLetter(entityName)}${name}`;
}
exports.getProviderName = getProviderName;
//# sourceMappingURL=index.js.map