"use strict";
var JsonApiNestJsCommonModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonApiNestJsCommonModule = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const typeorm_1 = require("@nestjs/typeorm");
const constants_1 = require("./constants");
const factory_1 = require("./factory");
const interceptors_1 = require("./mixin/interceptors");
let JsonApiNestJsCommonModule = JsonApiNestJsCommonModule_1 = class JsonApiNestJsCommonModule {
    static forRoot(options) {
        const optionProvider = {
            provide: constants_1.GLOBAL_MODULE_OPTIONS_TOKEN,
            useValue: options,
        };
        const typeOrmModule = typeorm_1.TypeOrmModule.forFeature(options.entities, options.connectionName);
        return {
            module: JsonApiNestJsCommonModule_1,
            imports: [typeOrmModule],
            providers: [
                ...(options.providers || []),
                factory_1.ajvFactory,
                optionProvider,
                interceptors_1.ErrorInterceptors,
            ],
            exports: [
                ...(options.providers || []),
                typeOrmModule,
                factory_1.ajvFactory,
                optionProvider,
                interceptors_1.ErrorInterceptors,
            ],
        };
    }
};
JsonApiNestJsCommonModule = JsonApiNestJsCommonModule_1 = tslib_1.__decorate([
    (0, common_1.Module)({})
], JsonApiNestJsCommonModule);
exports.JsonApiNestJsCommonModule = JsonApiNestJsCommonModule;
//# sourceMappingURL=json-api-nestjs-common.module.js.map